curl --request POST \
--url https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "123638791329",
"amount": 607,
"dc_sign": "debit",
"effective_date": "2022-03-18"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_transaction"
payload = {
"account_number": "123638791329",
"amount": 607,
"dc_sign": "debit",
"effective_date": "2022-03-18"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '123638791329',
amount: 607,
dc_sign: 'debit',
effective_date: '2022-03-18'
})
};
fetch('https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Simulate receiving ACH transaction
Use to simulate receiving ACH transaction in test environments. Creates an incoming ACH file with a single transaction, which gets automatically processed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Sent ACH request
Simulate receiving an ACH transaction
Number of the receiving account
"123638791329"
Amount to transfer in cents (e.g. 100 = $1). Generates a prenote if set to 0.
0 <= x <= 9999999999607
The type of transaction (debit or credit) in relation to the receiving account. A credit is a transfer in and a debit is a transfer pulling money out of the receiving account.
credit, debit "debit"
Effective date of the transaction. Transactions with the current date or date in the past are posted immediately. Future-dated transactions are scheduled to be posted on the chosen date.
"2022-03-18"
Response
Simulated receiving ACH transaction
The response is of type object.
Was this page helpful?

